# -*- coding: utf-8 -*-

import json
from kwextraction.extraction import extractor


def get_key_words(text_list):
    return extractor(text_list)


if __name__ == '__main__':
    test_l = [
        '1#1-3号生活热水水泵的耗电功率是多少@=-',
        '1#1-3号生活热水水泵的出水温度d是多少@=-',
    ]
    for item in get_key_words(test_l):
        print(json.dumps(item, sort_keys=True, indent=4, ensure_ascii=False))
